(function(){
    "use strict";
    const DV = window.DarkVenture, D = DV.dom;

    /* Sample Side Quests */
    const cardsSQ = [{
        id: "sgb-01",
        name: "Show no mercy!",
        body: {
            fontSize: 110,
            text: "Wipe them out. All of them."
        },
        qp: 2
    },{
        isOfficial: true,
        id: 11,
        name: "Dead end!",
        body: {
            text: [
                "Enter a location that has only one path into it ",
                "(2, 3, 7, 9, 14)"
            ]
        },
        qp: 1
    }]/*cardsSQ*/;

    /* Sample Heroic Quests */
    const cardsHQ = [{
        id: "sgb-H1",
        name: "Show no mercy!",
        body: {
            fontSize: 150,
            text: [
                "Wipe them out. ***All of them.***",
                "---",
                "{:MIND:} {:POWER:} {:SPEED:} {:LUCK:} {:HEALTH:} {:HEALTH_BASE:}",
                "===",
                "{::F_ARISTOCRACY::} ",
                "{::F_BEAST::} ",
                "{::F_BLOODSMAN::} ",
                "{::F_CELESTITE::} ",
                "{::F_CONSTRUCT::} ",
                //"{{br}}",
                "{::F_DIAMOND::} ",
                "{::F_GHOST::} ",
                "{::F_HUNTSMAN::} ",
                "{::F_ORPAL::} ",
                "{::F_OVOID::} ",
                //"{{br}}",
                "{::F_PLANT::} ",
                "{::F_VARPEN::} ",
                "{::F_WARLOCK::}"
            ]
        },
        qp: 2
    },{
        isOfficial: true,
        id: 11,
        name: "Dead end!",
        body: {
            text: [
                "Enter a location that has only one path into it ",
                "(2, 3, 7, 9, 14)"
            ]
        },
        qp: 1
    }]/*cardsHQ*/;

    DV.App.init = function(){
        this.replaceScriptTags(DV.SQCard)
            .replaceScriptTags(DV.HQCard);
        DV.applyMarkupToElements('.dv-markup');
        const injectPos = document.querySelector('#js-cards');
        this.injectCards(injectPos, DV.SQCard, cardsSQ)
            .injectCards(injectPos, DV.HQCard, cardsHQ)
            .setupAppHeader('scratchpad');
    };

    DV.App.init();
})();
